org.apache.tinkerpop.gremlin.structure

## Class VertexTest.AddEdgeTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.structure.VertexTest.AddEdgeTest

- Enclosing class:
    VertexTest

      public static class VertexTest.AddEdgeTest
      extends AbstractGremlinTest

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddEdgeTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `shouldAddEdgeWithUserSuppliedAnyIdUsingAnyObject()`
    `void` | `shouldAddEdgeWithUserSuppliedAnyIdUsingString()`
    `void` | `shouldAddEdgeWithUserSuppliedAnyIdUsingUuid()`
    `void` | `shouldAddEdgeWithUserSuppliedNumericId()`
    `void` | `shouldAddEdgeWithUserSuppliedStringId()`
    `void` | `shouldAddEdgeWithUserSuppliedUuidId()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AddEdgeTest

          public AddEdgeTest()

  - ### Method Detail

    - #### shouldAddEdgeWithUserSuppliedNumericId

          public void shouldAddEdgeWithUserSuppliedNumericId()

    - #### shouldAddEdgeWithUserSuppliedStringId

          public void shouldAddEdgeWithUserSuppliedStringId()

    - #### shouldAddEdgeWithUserSuppliedUuidId

          public void shouldAddEdgeWithUserSuppliedUuidId()

    - #### shouldAddEdgeWithUserSuppliedAnyIdUsingUuid

          public void shouldAddEdgeWithUserSuppliedAnyIdUsingUuid()

    - #### shouldAddEdgeWithUserSuppliedAnyIdUsingString

          public void shouldAddEdgeWithUserSuppliedAnyIdUsingString()

    - #### shouldAddEdgeWithUserSuppliedAnyIdUsingAnyObject

          public void shouldAddEdgeWithUserSuppliedAnyIdUsingAnyObject()

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.